#include <bits/stdc++.h>
#define all(x) (x).begin(),(x).end()
#define ll long long
using namespace std;
ll aps(ll x){
    if(x<0) x=-x;
    return x;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    ll n, m, u, v, s=0;
    cin>>n>>m;
    vector<ll> a(n);
    for(ll &x : a) cin>>x;
    for(int i=0; i<m; i++){
        cin>>u>>v;
        s+=aps(a[u-1]+a[v-1]);
    }
    cout<<s;
    return 0;
}